/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.themes;

import java.awt.Color;
import java.awt.Font;

import org.dive4elements.artifacts.CallMeta;
import org.w3c.dom.Document;

public class ThemeDocument
{
    private Document document;

    public ThemeDocument() {
    }

    public ThemeDocument(Document document) {
        this.document = document;
    }

    public Document getDocument() {
        return document;
    }

    public Color parseLineColorField() {
        return null;
    }

    public boolean parseShowLineLabel() {
        return false;
    }

    public boolean parseShowWidth() {
        return false;
    }

    public boolean parseShowLevel() {
        return false;
    }

    public boolean parseShowMiddleHeight() {
        return false;
    }

    public boolean parseLabelShowBackground() {
        return false;
    }

    public Font parseTextFont() {
        return null;
    }

    public Color parseTextColor() {
        return null;
    }

    public Color parseTextBackground() {
        return null;
    }

    public int parseLineWidth() {
        return 0;
    }

    public float [] parseLineStyle() {
        return null;
    }

    public int parsePointWidth() {
        return 0;
    }

    public Color parsePointColor() {
        return null;
    }

    public boolean parseShowPoints() {
        return false;
    }

    public boolean parseShowLine() {
        return false;
    }

    public boolean parseShowMinimum() {
        return false;
    }

    public boolean parseShowMaximum() {
        return false;
    }

    public TextStyle parseTextStyle() {
        // from ThemeAccess
        return null;
    }

    public LineStyle parseComplexLineStyle() {
        // from ThemeAccess
        return null;
    }

    public Color parseComplexLineColorField() {
        return null;
    }

    public boolean parseShowVerticalLine() {
        return false;
    }

    public boolean parseShowHorizontalLine() {
        return false;
    }

    public double parseBandWidth() {
        return 0d;
    }

    public int parseAreaTransparency() {
        return 0;
    }

    public static Color parseColor(String s) {
        return null;
    }

    public String getAreaBackgroundColorString() {
        return null;
    }

    public boolean parseAreaShowBorder() {
        return false;
    }

    public boolean parseShowArea() {
        return false;
    }

    public boolean parseShowPointLabel() {
        return false;
    }

    public boolean parseShowExtraMark() {
        return false;
    }

    public String createMapserverStyle() {
        return null;
    }

    public String createDynamicMapserverStyle(
        float    from,
        float    to,
        float    step,
        CallMeta meta
    ) {
        return null;
    }

    public Color parseAreaBackgroundColor() {
        return  null;
    }

    public static int parseInteger(String s, int def) {
        return def;
    }

    public String getAreaTransparencyString() {
        return null;
    }

}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :

